Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OnigErrorInfo Struct Reference

`#include <oniguruma.h>`

## Data Fields
OnigEncoding | enc
OnigUChar * | par
OnigUChar * | par_end

## Detailed Description

Definition at line 633 of file ripper.y.

## Field Documentation

OnigEncoding OnigErrorInfo::enc

Definition at line 634 of file ripper.y.

Referenced by onig_compile(), and onig_error_code_to_str().

OnigUChar * OnigErrorInfo::par

Definition at line 635 of file ripper.y.

Referenced by onig_compile(), and onig_error_code_to_str().

OnigUChar * OnigErrorInfo::par_end

Definition at line 636 of file ripper.y.

Referenced by onig_compile(), and onig_error_code_to_str().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h